org.apache.sysds.parser

## Class ExpressionList

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.ExpressionList

All Implemented Interfaces:
  ParseInfo

    public class ExpressionList
    extends Expression

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

`Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

### Constructor Summary

Constructors
Constructor and Description
`ExpressionList(ArrayList<Expression> value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`ArrayList<Expression>` `getValue()`
`Expression` `rewriteExpression(String prefix)`
`void` `setName(String _name)`
`void` `setValue(ArrayList<Expression> _value)`
`String` `toString()`
`void` `validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
`VariableSet` `variablesRead()`
`VariableSet` `variablesUpdated()`

### Methods inherited from class org.apache.sysds.parser.Expression

`computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, equals, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, hashCode, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.parser.ParseInfo

`ctxAndFilenameToParseInfo`

### Constructor Detail

#### ExpressionList

    public ExpressionList(ArrayList<Expression> value)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String _name)

#### getValue

    public ArrayList<Expression> getValue()

#### setValue

    public void setValue(ArrayList<Expression> _value)

#### validateExpression

    public void validateExpression(HashMap<String,DataIdentifier> ids,
                                   HashMap<String,ConstIdentifier> currConstVars,
                                   boolean conditional)

Overrides:
  `validateExpression` in class `Expression`

#### rewriteExpression

    public Expression rewriteExpression(String prefix)

Specified by:
  `rewriteExpression` in class `Expression`

#### variablesRead

    public VariableSet variablesRead()

Specified by:
  `variablesRead` in class `Expression`

#### variablesUpdated

    public VariableSet variablesUpdated()

Specified by:
  `variablesUpdated` in class `Expression`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`